Đến nội dung


Hình ảnh
- - - - -

Nhờ Viết Lisp: Đổi Trục Tọa Độ Theo Cạnh Chọn Trên Màn Hình


  • Please log in to reply
3 replies to this topic

#1 langtuchangti

langtuchangti

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 20 March 2016 - 05:05 PM

Như tiêu đề em dã viết em muốn viết một lisp như sau:

+ lệnh "rs"

+ chọn phương của trục x theo phương của một đường thẳng chọn trên màn hình (và tất nhiên trục y thì luôn vuông góc với trục x rồi)

+ lệnh" rd" để trở về hệ trục tọa độ ban đầu

(em cũng biết một cách làm từ lệnh mặc định của cad nhưng làm như vậy hay lâu)

+ em xin cảm ơn mọi sự giúp đỡ !!!!


  • 0

#2 langtuchangti

langtuchangti

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 03 April 2016 - 10:12 PM

không ai giúp đỡ em ah!!!!!


  • 0

#3 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 673 Bài viết
Điểm đánh giá: 315 (khá)

Đã gửi 03 April 2016 - 10:30 PM

Bạn thử cái này xem:

(defun c:rd () (setvar 'SNAPANG 0) (princ))
(defun c:rs  (/ pt1 pt2)
 (and (setq pt1 (getpoint "\nFirst point: "))
      (setq pt2 (getpoint pt1 "\nSecond point: "))
      (setvar 'SNAPANG (angle pt1 pt2)))
 (princ))

  • 0

#4 langtuchangti

langtuchangti

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 12 June 2016 - 11:21 PM

 

Bạn thử cái này xem:

(defun c:rd () (setvar 'SNAPANG 0) (princ))
(defun c:rs  (/ pt1 pt2)
 (and (setq pt1 (getpoint "\nFirst point: "))
      (setq pt2 (getpoint pt1 "\nSecond point: "))
      (setvar 'SNAPANG (angle pt1 pt2)))
 (princ))

em thử rồi sao khồng được nhỉ, anh có thể xem lại được không.em cảm ơn anh


  • 0